From 0bd330ec1fd657b5d04f0ab668b9fbaf7473fe8c Mon Sep 17 00:00:00 2001
From: Li Yang <leoyang.li@nxp.com>
Date: Tue, 11 Jun 2019 18:51:31 -0500
Subject: [PATCH] sdk_qbman: Update cpus_allowed to cpus_mask to cope with
 upstream change

Signed-off-by: Li Yang <leoyang.li@nxp.com>
---
 drivers/staging/fsl_qbman/fsl_usdpaa_irq.c | 4 ++--
 drivers/staging/fsl_qbman/qman_driver.c    | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

--- a/drivers/staging/fsl_qbman/fsl_usdpaa_irq.c
+++ b/drivers/staging/fsl_qbman/fsl_usdpaa_irq.c
@@ -145,11 +145,11 @@ static int map_irq(struct file *fp, stru
 		fput(ctx->usdpaa_filp);
 		return ret;
 	}
-	ret = irq_set_affinity(ctx->irq_num, &current->cpus_allowed);
+	ret = irq_set_affinity(ctx->irq_num, &current->cpus_mask);
 	if (ret)
 		pr_err("USDPAA irq_set_affinity() failed, ret= %d\n", ret);
 
-	ret = irq_set_affinity_hint(ctx->irq_num, &current->cpus_allowed);
+	ret = irq_set_affinity_hint(ctx->irq_num, &current->cpus_mask);
 	if (ret)
 		pr_err("USDPAA irq_set_affinity_hint() failed, ret= %d\n", ret);
 
--- a/drivers/staging/fsl_qbman/qman_driver.c
+++ b/drivers/staging/fsl_qbman/qman_driver.c
@@ -646,7 +646,7 @@ static struct qman_portal *init_pcfg(str
 static void init_slave(int cpu)
 {
 	struct qman_portal *p;
-	struct cpumask oldmask = current->cpus_allowed;
+	struct cpumask oldmask = current->cpus_mask;
 	set_cpus_allowed_ptr(current, get_cpu_mask(cpu));
 	p = qman_create_affine_slave(shared_portals[shared_portals_idx++], cpu);
 	if (!p)
